
%global meadversion 1.4.0
%global namedversion 1.4.0.redhat-00004
%global meadalpha .redhat_00004
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00004

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package microprofile-rest-client}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.4.0.redhat-00004

Name:           %{?scl_prefix}microprofile-rest-client
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        MicroProfile Rest Client
Group:          Development/Java

%if %with mead
Source100: microprofile-rest-client-parent-1.4.0.redhat-00004-project-sources.tar.gz
Source102: microprofile-rest-client-api-1.4.0.redhat-00004.pom
Source103: microprofile-rest-client-tck-1.4.0.redhat-00004.pom
Source104: microprofile-rest-client-tck-1.4.0.redhat-00004-sources.jar
Source105: microprofile-rest-client-spec-1.4.0.redhat-00004.pom
Source106: microprofile-rest-client-api-1.4.0.redhat-00004-sources.jar
Source107: microprofile-rest-client-parent-1.4.0.redhat-00004.pom
Source108: microprofile-rest-client-tck-1.4.0.redhat-00004.jar
Source109: microprofile-rest-client-api-1.4.0.redhat-00004.jar
%endif

License:        ASL 2.0
URL:            http://microprofile.io
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Typesafe Rest Client APIs for MicroProfile.

%package -n %{?scl_prefix}microprofile-rest-client-api
Summary:        MicroProfile Rest Client API
Group:          Development/Java


%description -n %{?scl_prefix}microprofile-rest-client-api
Typesafe Rest Client APIs for MicroProfile :: API

%package -n %{?scl_prefix}microprofile-rest-client-tck
Summary:        MicroProfile Rest Client TCK
Group:          Development/Java


%description -n %{?scl_prefix}microprofile-rest-client-tck
Typesafe Rest Client APIs for MicroProfile :: TCK


%if %with javadoc
%package javadoc
Summary:        Javadoc for microprofile-rest-client
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n microprofile-rest-client-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/microprofile-rest-client-api-%{namedversion}.jar %{buildroot}%{_javadir}/microprofile-rest-client-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/microprofile-rest-client-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/microprofile-rest-client-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/microprofile-rest-client-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/microprofile-rest-client-api-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/microprofile-rest-client-tck-%{namedversion}.jar %{buildroot}%{_javadir}/microprofile-rest-client-tck-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/microprofile-rest-client-tck-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/microprofile-rest-client-tck-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/microprofile-rest-client-tck-%{namedversion}-sources.jar %{buildroot}%{_javadir}/microprofile-rest-client-tck-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/microprofile-rest-client-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/microprofile-rest-client-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/microprofile-rest-client-api-%{namedversion} -x META-INF/\*
%{__ln_s}  microprofile-rest-client-api-%{namedversion} %{buildroot}%{_javadocdir}/microprofile-rest-client-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE NOTICE README.adoc

%files -n %{?scl_prefix}microprofile-rest-client-api
%defattr(0644,root,root,0755)
%{_javadir}/microprofile-rest-client-api-%{namedversion}.jar
%{_javadir}/microprofile-rest-client-api.jar
%if %with javadoc
%{_javadir}/microprofile-rest-client-api-%{namedversion}-javadoc.jar
%{_javadir}/microprofile-rest-client-api-javadoc.jar
%endif
%{_javadir}/microprofile-rest-client-api-%{namedversion}-sources.jar
%{_javadir}/microprofile-rest-client-api-sources.jar

%files -n %{?scl_prefix}microprofile-rest-client-tck
%defattr(0644,root,root,0755)
%{_javadir}/microprofile-rest-client-tck-%{namedversion}.jar
%{_javadir}/microprofile-rest-client-tck.jar
%if %with javadoc
%{_javadir}/microprofile-rest-client-tck-%{namedversion}-javadoc.jar
%{_javadir}/microprofile-rest-client-tck-javadoc.jar
%endif
%{_javadir}/microprofile-rest-client-tck-%{namedversion}-sources.jar
%{_javadir}/microprofile-rest-client-tck-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/microprofile-rest-client-api-%{namedversion}
%{_javadocdir}/microprofile-rest-client-api
%endif

%changelog
* Mon Apr 27 2020 Permaine Cheung <pcheung@redhat.com> - 1.4.0-1.redhat_00004.1
- 1.4.0.redhat-00004

* Fri Apr 24 2020 Permaine Cheung <pcheung@redhat.com> - 1.3.2-3.redhat_00001.1
- 1.4.0.redhat-00004

* Thu Apr 09 2020 Permaine Cheung <pcheung@redhat.com> - 1.3.2-2.redhat_00001.1
- 1.4.0.redhat-00004

* Wed Nov 06 2019 Permaine Cheung <pcheung@redhat.com> - 1.3.2-1.redhat_00001.1
- 1.3.2.redhat-00001

* Thu Aug 16 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.0.1-1.redhat_00001.1
- upgrade to 1.0.1.redhat-00001

* Tue Jul 31 2018 Permaine Cheung <pcheung@redhat.com> - 1.0.0-3.redhat_1.1
- Rewrap for 7.2.0

* Fri Jul 06 2018 Permaine Cheung <pcheung@redhat.com> - 1.0.0-2.redhat_1.1
- Rewrap to fix Requires

* Tue Jul 03 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_1.1
-  1.0.0.redhat-1 for eap 7.2.0

* Tue Jul 03 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_1.1
-  1.0.0.redhat-1 for eap 7.2.0

* Tue Jul 03 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_1.1
- subpackages

* Tue Jul 03 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_1.1
-  1.0.0.redhat-1 for eap 7.2.0

* Tue Jul 03 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_1.1
-  1.0.0.redhat-1 for eap 7.2.0

* Tue Jul 03 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.Final_redhat_1.1
- 1.0.0.Final-redhat-1
